@font-face { font-family: "Inter"; font-style: normal; font-weight: 600; font-display: swap; src: url("assets/fonts/Inter-SemiBold.woff2") format("woff2"); }
@font-face { font-family: "Inter"; font-style: normal; font-weight: 400; font-display: swap; src: url("assets/fonts/Inter-Regular.woff2") format("woff2"); }

html,body {
  margin: 0;
  padding: 0;
}
canvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100%;
  background: #eee;
  box-sizing: border-box;
  overflow: hidden;
  /*z-index: -1;*/
}
#viewport {
  position: relative;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (max-width: 768px) {
  #card-container{
    padding: 20px !important;
    margin-left: 1%;
    margin-right: 5%;
  }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
}

@media only screen and (min-width: 1600px) {
}

#card-container{
  background-color: #292929;
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  border-radius: 10px;
  padding: 60px;
  margin-left: 5%;
  z-index: 100;
}
#card-contact {
  width: fit-content;
  background-color: #ad5d5d;
  z-index: 10;
}
.title-contact {
  display: table;
  color: whitesmoke;
  font-weight: 600;
  font-size: 6rem;
  font-family: 'Inter', sans-serif;
}
.subtitle-contact {
  display: table;
  margin-top: 30px;
  color: whitesmoke;
  font-weight: 400;
  font-size: 2rem;
  font-family: 'Inter', sans-serif;
}

.fingerprint {
  display: table;
  margin-top: 20px;
  color: whitesmoke;
  font-weight: 400;
  font-size: 1rem;
  font-family: 'Inter', sans-serif;
}
.social-bar {
  display: table;
  padding-top: 50px;
}
.social-icon {
  padding-right: 40px;
  height: 32px;
  filter: invert(100%);
}
.social-icon:hover {
  /*filter: hue-rotate(90deg) drop-shadow(8px 8px 10px white);*/
}
#icon-x:hover {
  filter: invert(0%) sepia(95%) saturate(31%) hue-rotate(148deg) brightness(106%) contrast(100%) drop-shadow(0px 0px 20px #9e9e9e);
}
#icon-linkedin:hover {
  filter: invert(32%) sepia(96%) saturate(1229%) hue-rotate(188deg) brightness(81%) contrast(96%) drop-shadow(0px 0px 20px #9e9e9e);
}
#icon-gitlab:hover {
  filter: invert(57%) sepia(31%) saturate(6171%) hue-rotate(345deg) brightness(101%) contrast(97%) drop-shadow(0px 0px 20px #9e9e9e);
}
#icon-github:hover {
  filter: invert(5%) sepia(5%) saturate(626%) hue-rotate(315deg) brightness(93%) contrast(90%) drop-shadow(0px 0px 20px #9e9e9e)
}
